#! /bin/bash -xue

which massoud

cat > export_png.mcr << 'EOF'
#!MC 1120
$!EXPORTSETUP IMAGEWIDTH = 850
$!EXPORTSETUP EXPORTFORMAT = PNG
$!EXPORT EXPORTREGION = ALLFRAMES
EOF

cat > export_swf.mcr << 'EOF'
#!MC 1200
$!EXTENDEDCOMMAND 
  COMMANDPROCESSORID = 'Strand Editor'
  COMMAND = 'ZoneSet=1-31;AssignStrands=TRUE;StrandValue=1;AssignSolutionTime=TRUE;TimeValue=0;TimeOption=ConstantDelta;DeltaValue=1;'
$!EXPORTSETUP EXPORTFORMAT = FLASH
$!EXPORTSETUP IMAGEWIDTH = 850
$!ANIMATETIME 
  STARTTIME = 0
  ENDTIME = 30
  SKIP = 1
  CREATEMOVIEFILE = YES
  LIMITSCREENSPEED = NO
  MAXSCREENSPEED = 12
EOF

design_dir=${PWD}

cd ammo

  trap "cat ../run_tutorial.out" EXIT

  opt_driver \
    --setup_design 1 \
    > ../run_tutorial.out 2>&1 << EOF
'${design_dir}'
'/dev/null'
'/dev/null'
EOF

  opt_driver \
    --sleep_delay 5 \
    >> ../run_tutorial.out 2>&1

cd ..

trap - EXIT

echo 'VARIABLES="Function Evaluation" "Objective Function"' > objective_function.dat
awk '/Current value/ {print i++, $NF}' run_tutorial.out    >> objective_function.dat

tec360 -quiet -b -p export_png.mcr \
  -y objective_function.png objective_function.lay

cd model.1/Flow

  tec360 -quiet -b -p ../../export_png.mcr \
    -y LoD_comparsion.png LoD_comparision.lay

cd ../..

cd model.1/Rubberize/surface_history

# tec360 -quiet -b -p ../../../export_png.mcr \
#   -y surface_animation.png surface_animation.lay

# tec360 -quiet -b -p ../../../export_swf.mcr \
#   -y surface_animation.swf surface_animation.lay

cd ../../..
